#include "Command.h"
#include <string.h>

bool Command::Unit::operator==(const Command::Unit & other) const
{
    return (id == other.id) &&
        (count == other.count) &&
        (following_char == other.following_char);
}

bool Command::operator==(const Command & other) const
{
    return (main == other.main) && (motion == other.motion);
}
